Subject: Re: bug#54423: 29.0.50; gnus-fetch-original-field returns nil in digest

From: Roland Winkler <[email-masked]>
Date: Thu, 17 Mar 2022 14:40:56 -0500

On Thu, Mar 17 2022, Sam Steingold wrote:
> the problem is that `bbdb-message-header' calls
> `gnus-fetch-original-field' which, for a digest group, returns nil.
> This prevents `bbdb-accept-message-alist' from working for, e.g.,
>
> (("Newsgroups" . "\\(gmane\\.emacs\\|gmane\\.comp\\.security\\.risks\\)"))
>
> because every message in gmane.comp.security.risks is a digest.

While I included the call of `gnus-fetch-original-field' in
`bbdb-message-header', I need to admit that the above issue goes much
beyond my knowledge of Gnus internals.  If there are better ways for
`bbdb-message-header' to achieve what it needs to achieve (which is
grabbing the content of (what appear to be) headers of a message),
then I certainly appreciate any patches for BBDB.

Roland